spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alessandro Baretta <alexbare...@gmail.com>
Subject Re: Assembly jar file name does not match profile selection
Date Sat, 27 Dec 2014 05:12:34 GMT
Here's what I get:

./assembly/target/scala-2.10/spark-assembly-1.3.0-SNAPSHOT-hadoop2.6.0.jar

Alex

On Fri, Dec 26, 2014 at 8:41 PM, Ted Yu <yuzhihong@gmail.com> wrote:

> Can you try this command ?
>
> sbt/sbt -Pyarn -Phadoop-2.4 -Dhadoop.version=2.6.0 -Phive assembly
>
> On Fri, Dec 26, 2014 at 6:15 PM, Alessandro Baretta <alexbaretta@gmail.com
> > wrote:
>
>> I am building spark with sbt off of branch 1.2. I'm using the following
>> command:
>>
>> sbt/sbt -Pyarn -Phadoop-2.3 assembly
>>
>> (
>> http://spark.apache.org/docs/latest/building-spark.html#building-with-sbt
>> )
>>
>> Although the jar file I obtain does contain the proper version of the
>> hadoop libraries (v. 2.4), the assembly jar file name refers to hadoop
>> v.1.0.4:
>>
>> ./assembly/target/scala-2.10/spark-assembly-1.3.0-SNAPSHOT-hadoop1.0.4.jar
>>
>> Any idea why?
>>
>>
>> Alex
>>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message